<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($aut) {
if (empty($_POST['text'])) {
$diz -> head('Пишем сообщение');
$diz -> title('Гостевая книга');
$otv=null;
$sql = $db -> query("SELECT `login` FROM `users` WHERE `id` = '$sid'");
$sqltrue=$sql->fetch_assoc();
if($sql-> num_rows > 0){$otv=''.$sqltrue['login'].',';
}
$msg.='<div class="fon">';
$msg .= '<form action="post.php?id='.$id.'&amp;page='.$page.'" method="post" enctype="multipart/form-data"><div>
Введите сообщение:<br/>
<textarea name="text" rows="3" cols="15">'.$otv.'</textarea><br/>
<input type="submit" value="Написать"/>
</div></form>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php?page='.$page.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['text']); 
$db -> query("UPDATE `users` SET `balls`=balls+'".$nastr['bstena']."' WHERE `id` = '".$ya['id']."'");
$db -> query("INSERT INTO `guest` SET `uid` = '".$ya['id']."', `text` = '".$text."',
 `ip` = '".$ip."', `browser` = '".$browser."',`time` = '".time()."';");
header('location: index.php');
}
} else {
if (empty($_POST['text'])) {
$array = array('1','2','3','4','5','6','7','8','9','0');
$i = 0;
$cod = '';
while ($i < 4) {
$cod .= $array[array_rand($array)];
++$i;
}
$_SESSION['code'] = $cod;
$diz -> head('Пишем сообщение');
$diz -> title('Гостевая книга');
$msg.='<div class="fon">';
$msg .= '<form action="post.php?page='.$page.'" method="post" enctype="multipart/form-data"><div>
Введите сообщение:<br/>
<textarea name="text" rows="3" cols="15"></textarea><br/>';
$msg .= 'Введите код:'.$diz -> img('code.php').'
<br/><input type="text" name="code" maxlength="4"></textarea></br>
<input type="submit" value="Написать"/>
</div></form>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php?page='.$page.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}elseif($_POST['code'] != $_SESSION['code'])
{
$diz -> head('Ошибка проверочного кода');
$diz -> title('Ошибка');
$diz -> out('Не введен или введен не верно проверочный код!<br/>
<a href="post.php">Назад</a>');
} else {
unset($_SESSION['code']);
$text = shit($_POST['text']); 
$db -> multi_query("INSERT INTO `guest` SET `who` = 'Гость', `text` = '".$text."',`ip` = '".$ip."', `browser` = '".$browser."',`time` = '".time()."'");
$page = isset($_GET['page']) ? (int)$_GET['page'] : '1';
unset($_SESSION["captcha"]);
header('location: index.php');
}
}
?>